summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIvan Baidakou <the.dmol@gmail.com>2012-07-31 15:42:20 +0300
committerIvan Baidakou <the.dmol@gmail.com>2012-07-31 15:42:20 +0300
commit261400f02b01b570f17fd42e0642e564b27a7257 (patch)
treea2f5b2c16718b80d759906d426c18acfb1b20d79 /net-nds/jxplorer
parentant-avy-2.2 ebuild wrt#309343 (diff)
downloaddmol-261400f02b01b570f17fd42e0642e564b27a7257.tar.gz
dmol-261400f02b01b570f17fd42e0642e564b27a7257.tar.bz2
dmol-261400f02b01b570f17fd42e0642e564b27a7257.zip
ant-avy-2.2 ebuild wrt#426294
Diffstat (limited to 'net-nds/jxplorer')
-rw-r--r--net-nds/jxplorer/Manifest4
-rw-r--r--net-nds/jxplorer/files/jxplorer-3-pre26
-rw-r--r--net-nds/jxplorer/files/jxplorer-3.3.01-disable-jxworkbench.patch12
-rw-r--r--net-nds/jxplorer/jxplorer-3.3.01.ebuild70
-rw-r--r--net-nds/jxplorer/metadata.xml5
5 files changed, 117 insertions, 0 deletions
diff --git a/net-nds/jxplorer/Manifest b/net-nds/jxplorer/Manifest
new file mode 100644
index 0000000..a903312
--- /dev/null
+++ b/net-nds/jxplorer/Manifest
@@ -0,0 +1,4 @@
+AUX jxplorer-3-pre 663 RMD160 447e3adf726870e2323f5dbc4ddff7d7bb5be124 SHA1 22c22de478a7fe1e91ea12aeafda15e7a269620b SHA256 1325841c7b09ce3c76a6a34ed1e87b6856ea6df82db77333814a23d7b036cb34
+AUX jxplorer-3.3.01-disable-jxworkbench.patch 507 RMD160 5a5dadd12071be91c67f960c6e9ea4cf45952e66 SHA1 e4f72e88f09adfbfcca1cd7e7d8fc31320043b57 SHA256 bdceeda0d3ae4e47fd8fef6525ebc584c796798e5e02d076336ce46a50033e49
+DIST jxplorer-3.3.01-project.zip 3753063 RMD160 b8eecc61e19b500dd4beb6b7f7aa60554956c018 SHA1 62aa0fb3258e45bd8901b194bb99de0eb09e20f4 SHA256 2b40070b54e84e591ec8b74fc8d1fc0bc10b95fa78ab458829ebd86520bd5be1
+EBUILD jxplorer-3.3.01.ebuild 1680 RMD160 2eaca3bfb67c2e612aa0bc44a70b3884ec388874 SHA1 9f552627ae66c1695b5572d4263dfc7cdcb8f2f7 SHA256 47058420c57bdee2dc67095fd4f835b310bfce213e4aa8a40496598ceb958357
diff --git a/net-nds/jxplorer/files/jxplorer-3-pre b/net-nds/jxplorer/files/jxplorer-3-pre
new file mode 100644
index 0000000..5fe640c
--- /dev/null
+++ b/net-nds/jxplorer/files/jxplorer-3-pre
@@ -0,0 +1,26 @@
+jxplorer_home=@GENTOO_PORTAGE_EPREFIX@/usr/share/jxplorer/
+
+home="${HOME}/.jxplorer"
+
+if [ ! -d "${home}" ]; then
+ mkdir -v "${home}"
+fi
+
+try_create() {
+ [[ ! -f "${1}" ]] && touch "${1}"
+}
+
+if [ -d ${HOME}/.jxplorer ]; then
+ for file in search_filters.txt bookmarks.txt quicksearch.txt ; do
+ try_create "${home}/${file}"
+ done
+ for file in security.default csvconfig.txt.default ; do
+ [[ ! -e "${home}/${file}" ]] && \
+ ln -vs "${jxplorer_home}/${file}" "${home}/${subdir}"
+ done
+ for subdir in htmldocs icons images templates plugins language ; do
+ [[ ! -e "${home}/${subdir}" ]] && \
+ ln -vs "${jxplorer_home}/${subdir}" "${home}/${subdir}"
+ done
+fi
+
diff --git a/net-nds/jxplorer/files/jxplorer-3.3.01-disable-jxworkbench.patch b/net-nds/jxplorer/files/jxplorer-3.3.01-disable-jxworkbench.patch
new file mode 100644
index 0000000..302b37c
--- /dev/null
+++ b/net-nds/jxplorer/files/jxplorer-3.3.01-disable-jxworkbench.patch
@@ -0,0 +1,12 @@
+diff -Nru /tmp/jxplorer.orig/src/com/ca/directory/jxplorer/JXplorer.java src/com/ca/directory/jxplorer/JXplorer.java
+--- /tmp/jxplorer.orig/src/com/ca/directory/jxplorer/JXplorer.java 2012-07-31 14:53:59.869914047 +0300
++++ src/com/ca/directory/jxplorer/JXplorer.java 2012-07-31 14:54:47.836311029 +0300
+@@ -502,7 +502,7 @@
+
+ // look for JXWorkBenchBrowser 'add on' module...
+
+- boolean usingJXW = true;
++ boolean usingJXW = false;
+ if (usingJXW)
+ {
+ try
diff --git a/net-nds/jxplorer/jxplorer-3.3.01.ebuild b/net-nds/jxplorer/jxplorer-3.3.01.ebuild
new file mode 100644
index 0000000..65e6c56
--- /dev/null
+++ b/net-nds/jxplorer/jxplorer-3.3.01.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-nds/jxplorer/jxplorer-3.2-r2.ebuild,v 1.2 2012/04/25 06:42:24 jlec Exp $
+
+EAPI="4"
+JAVA_PKG_IUSE="doc source"
+
+inherit eutils java-pkg-2 java-ant-2 prefix
+
+DESCRIPTION="A fully functional ldap browser written in java."
+HOMEPAGE="http://jxplorer.org/"
+SRC_URI="mirror://sourceforge/${PN}/${PN}-${PV}-project.zip"
+LICENSE="CAOSL"
+IUSE=""
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND=">=virtual/jre-1.5
+ >=dev-java/javahelp-2.0.02_p46
+ =dev-java/junit-3.8*"
+DEPEND=">=virtual/jdk-1.5
+ ${RDEPEND}"
+
+S=${WORKDIR}/${PN}
+
+JAVA_ANT_REWRITE_CLASSPATH="yes"
+EANT_GENTOO_CLASSPATH="javahelp junit"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-disable-jxworkbench.patch
+
+ # Contains stuff for javahelp
+ mkdir dist
+ cp jars/help.jar dist || die
+
+ rm -v jars/*.jar || die
+
+ if use !test ; then
+ find . -iname '*Test*.java' -delete
+ fi
+}
+
+src_test() {
+ ANT_TASKS="ant-junit" java-pkg-2_src_test
+}
+
+src_install() {
+ java-pkg_dojar jars/${PN}.jar dist/help.jar
+
+ dodir /usr/share/${PN}
+ for i in "icons images htmldocs language templates plugins security.default csvconfig.txt.default"
+ do
+ cp -r ${i} "${ED}/usr/share/${PN}" || die
+ done
+
+ dodoc README.3.3.TXT || die
+
+ # By default the config dir is ${HOME}/jxplorer
+ java-pkg_dolauncher ${PN} \
+ --main com.ca.directory.jxplorer.JXplorer \
+ --pwd '"${HOME}/.jxplorer"' \
+ -pre "${FILESDIR}/${PN}-3-pre"
+
+ eprefixify "${ED}/usr/bin/${PN}"
+
+ use source && java-pkg_dosrc src/com
+ use doc && java-pkg_dojavadoc docs
+
+ make_desktop_entry ${PN} JXplorer /usr/share/jxplorer/images/logo_32_trans.gif System
+}
diff --git a/net-nds/jxplorer/metadata.xml b/net-nds/jxplorer/metadata.xml
new file mode 100644
index 0000000..7303cef
--- /dev/null
+++ b/net-nds/jxplorer/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>java</herd>
+</pkgmetadata>